// 現在の図面を取得する
var doc = Application.ActiveDocument;

// 現在の図面のレイヤテーブルを取得する
var layerTable = doc.LayerTable;

// 実行したコマンドのユニーク名を取得する
var commandName = Application.CommandManager.CurrentCommand.UniqueName;

// コマンドのユニーク名が "RootPro.Shape.*Dimension" (* は任意のアルファベット) であるか調べる
System.Text.RegularExpressions.Regex r =
	new System.Text.RegularExpressions.Regex(
		@"RootPro\.Shape\.[A-Za-z]+Dimension",
		System.Text.RegularExpressions.RegexOptions.None);

System.Text.RegularExpressions.Match m = r.Match(commandName);
while (m.Success)
{
	// 寸法という名前のレイヤを取得
	Layer layer = layerTable.RootLayer.ChildLayers["寸法"];
	if(layer != null)
	{
		// 現在のカレントレイヤ名を保存しておく
		// Variables はすべてのスクリプトで共有する System.Collections.Generic.Dictionary 型のグローバル変数です。
		// 異なるイベント間で値を渡したいときに利用します
		Variables["OldCurrentLayer"] = layerTable.CurrentLayer.Name;

		// UNDO 処理を開始します。
		doc.UndoManager.BeginUndoUnit();

		// 寸法という名前のレイヤをカレントレイヤに変更する
		layerTable.CurrentLayer = layer;

		// UNDO 処理を終了します。
		doc.UndoManager.EndUndoUnit();
	}
	break;
}
