// 現在の図面を取得する
var doc = Application.ActiveDocument;
    
// 現在の図面のレイヤテーブルを取得する
var layerTable = doc.LayerTable;

// 実行したコマンドのユニーク名を取得する
var currentCommand = Application.CommandManager.CurrentCommand;
if(currentCommand == null)
	return;
var commandName = currentCommand.UniqueName;

// コマンドのユニーク名が "RootPro.Shape.*Dimension" (* は任意のアルファベット) であるか調べる
System.Text.RegularExpressions.Regex r =
	new System.Text.RegularExpressions.Regex(
		@"RootPro\.Shape\.[A-Za-z]+Dimension",
		System.Text.RegularExpressions.RegexOptions.None);

System.Text.RegularExpressions.Match m = r.Match(commandName);
while (m.Success)
{
	// グローバル変数から前のカレントレイヤ名を取得する
	// Variables はすべてのスクリプトで共有する System.Collections.Generic.Dictionary 型のグローバル変数です
	// 異なるイベント間で値を渡したいときに利用します
	if(Variables.ContainsKey("OldCurrentLayer"))
	{
		string layerName = (string)Variables["OldCurrentLayer"];

		// 前のカレントレイヤに戻す
		Layer layer = layerTable.RootLayer.ChildLayers[layerName];
		if(layer != null)
		{
			// UNDO 処理を開始します。
			doc.UndoManager.BeginUndoUnit();

			layerTable.CurrentLayer = layer;

			// UNDO 処理を終了します。
			doc.UndoManager.EndUndoUnit();
		}
	}
	break;
}

